TAAS - Feature #137

Outstanding Document Report
02/02/20283 03:05 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Outstanding Document Report

Description

Coding Outstanding Document Report

History

#1 - 02/21/2023 08:51 PM - Junaid M
- File SQL-OUTSTANDING-DOCUMENT.SQL added
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/22/2023 09:33 AM - Junaid M
- Assignee changed from Junaid M to Akash B

#3 - 02/22/2023 11:18 AM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 02/22/2023 06:01 PM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#5 - 02/23/2023 05:59 PM - Akash B
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#6 - 02/24/2023 02:37 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Rearrange coloumns

(customer= CODE:NAME)

2.Document code must be display in grid

3.Fix bugs on currency

(42601: syntax error at or near "GREATEST") base 1 & 2
4.Resize columns

#7 - 02/25/2023 09:59 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 03/01/2023 05:53 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Debit & Credit check box filters not working
(Report must be sorted depend on check box)

#9 - 03/01/2023 06:54 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/14/2023 03:41 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Debit & Credit check box filters not working
(Report must be sorted depend on check box)

2.Fix error while choosing Base 1 & 2 currency (TS.)
3.Add precision on grid

#11 - 03/22/2023 02:49 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed

#12 - 06/01/2023 12:29 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Modify Amount Column as
Opening Balance | Dr Outstanding | Cr Outstanding | Matched | Net Balance | Closing Balance

#13 - 06/01/2023 02:13 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Changes Applied...

#14 - 06/22/2023 02:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

1.while Searching Column 'fk_documents_id' does not belong to table Table.

#15 - 06/22/2023 05:55 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

outstanding Document report query changes

Select query MIN As fk_documents_id, added

binTransactionld in TS Model Changes to binDocumentid

Status On Where Query changes----posting status and document number added on where condition

#16 - 07/28/2023 06:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

#17 - 07/29/2023 03:32 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

bugs Fixed

#18 - 08/07/2023 06:14 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OPENING BALANCE LEFT TO RIGHT
2.NOT SHOWING NET BALANCE
3.SHOWING ALL AMOUNT US DEBIT

#19 - 08/08/2023 06:06 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#20 - 08/12/2023 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.Issue In Amount Matched

2.Not Showing Data While Adding Blank Option
3.Show Data That Act Us Customer And Supplier In Filteration Tab

#21 - 08/16/2023 06:21 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#22 - 08/18/2023 07:46 PM - Junaid M
GUI CHANGE -> Remove Ob Column

#23 - 09/12/2023 06:09 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ENQUIRY,XO WISE SEARCH FILTERING NOT WORKING

#24 - 10/07/2023 05:22 PM - Junaid M
- Assignee changed from Akash B to Vivekp V

#25 - 10/11/2023 04:18 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
issues fixed
1.ENQUIRY,XO WISE SEARCH FILTERING NOT WORKING, THIS FILTERING WAS REMOVED

#26 - 10/12/2023 11:43 AM - unnikannan S
TESTING DONE

#27 - 10/21/2023 05:42 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING AMOUNT IN MATCHED

#28 - 10/26/2023 11:04 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING AMOUNT IN MATCHED

#29 - 11/07/2023 06:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DOCUMENTS US PER CHOOSEN MODULES IN FILTER
#30 - 11/08/2023 02:13 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 11/11/2023 04:25 PM - unnikannan S
TESTING DONE

#32 - 02/06/2024 12:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.CLEAR THOSE DOCUMENTS THERE FULL SETTLEMENT IS DONE
FIXED - 2.CORRECT THE NET BALANCE AMOUNT AFTER MATCHING

FIXED - 3.SHOW MATCHING COLUMN IN PRINT LIST

FIXED - 4.HIDE RESET BUTTON AND SHOW IT IN CASE OF SHOWING LIST IN Ul

#33 - 02/08/2024 11:26 AM - Junaid M

- Assignee changed from Vivekp V to Baseem Shan

#34 - 02/13/2024 04:53 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#35 - 02/14/2024 10:54 AM - unnikannan S
TESTING DONE

#36 - 02/14/2024 10:55 AM - unnikannan S

05/03/2025 4/6



- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.CONSIDER ACT AS CUSTOMER,SUPPLIER ACCOUNTS IN FILTER FIELD
#37 - 02/14/2024 02:21 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#38 - 02/15/2024 01:45 PM - unnikannan S
TESTING DONE

#39 - 08/28/2024 04:56 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

FIXED - Service Date As on [Checkbox(Untick) + Date Picker(Disable)
FIXED - Date Picker and table title -> Travel Date done before The Date
FIXED - Checkbox Title -> Tick then the date mandatory(Default Load To Date)

#40 - 09/25/2024 11:39 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#41 - 09/25/2024 03:40 PM - Avinash MS
- Status changed from New Changes Coding Done to Testing Done

- % Done changed from 70 to 90

#42 - 01/20/2025 12:03 PM - Arathy PS

- Assignee changed from Baseem Shan to Sreeranjini T

#43 - 03/06/2025 11:46 AM - Arathy PS
- File clipboard-202503061146-otdpe.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Add redirection to the document no:
2. Doc no: of the party that had an AR sharing done is wrong.

Outstanding Document Report 2

Transaction Date* = 02/02/2025 06/02/2025 Branch* a - Currency | Base1{QAR) v Q Search

¥y

T @ B O - w
# Date Document No | Account Currency Dr Qutstanding Cr Qutstanding Net Qutstanding | Reference Narration

1 04/02/2025 INV/002 CUS004: ABDUL SALAM KHAN QAR 900,00 0.00 900,00 Dr

2 06/02/2025 INV/011 CUS006:: Customer A QAR 700,00 0.00 700.00 Dr

d N
3 06/02/2025 INV/011 CUS007:: Customer B ‘ QAR 70000 000 700,00 Dr
t

Total QAR 2300.00 QAR 0.00 QAR 2300.00 Dr

#44 - 03/11/2025 10:10 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#45 - 04/08/2025 06:08 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Narration not showing.

#46 - 04/11/2025 02:19 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

SQL-OUTSTANDING-DOCUMENT.SQL 1.39 KB 02/21/2023 Junaid M

clipboard-202503061146-otdpe.png 75.6 KB 03/06/2025 Arathy PS
